summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2017-12-09 09:06:12 +0100
committerAndreas Sturmlechner <asturm@gentoo.org>2017-12-09 09:09:23 +0100
commit5c771cfbd418cbcff15e9db159427605ac719a09 (patch)
treef44e0cb16380e62249169097801c94589eed5fd6 /sys-auth
parentnet-libs/telepathy-qt: Drop old (diff)
downloadgentoo-5c771cfbd418cbcff15e9db159427605ac719a09.tar.gz
gentoo-5c771cfbd418cbcff15e9db159427605ac719a09.tar.bz2
gentoo-5c771cfbd418cbcff15e9db159427605ac719a09.zip
sys-auth/polkit-qt: Drop old
Package-Manager: Portage-2.3.17, Repoman-2.3.6
Diffstat (limited to 'sys-auth')
-rw-r--r--sys-auth/polkit-qt/Manifest1
-rw-r--r--sys-auth/polkit-qt/polkit-qt-0.112.0-r1.ebuild78
2 files changed, 0 insertions, 79 deletions
diff --git a/sys-auth/polkit-qt/Manifest b/sys-auth/polkit-qt/Manifest
index c375a1a56ac..f8e02f52818 100644
--- a/sys-auth/polkit-qt/Manifest
+++ b/sys-auth/polkit-qt/Manifest
@@ -1,2 +1 @@
-DIST polkit-qt-1-0.112.0.tar.bz2 67725 BLAKE2B 3779fb7a95919b29358592076c6a23b66d73f0b91405e010f13f9512a130434c621a0a551f0da1d5e02eeccb559f774f8366234b24d8130a12982178ec7de143 SHA512 4cb17389b54a09c53052f6d72aa5cbfe09ccb19f7fd4edf8b43ccd4751f5e88609c5f89777f4af92167d32eb2ce1e78537cea7bcfb60a90072d1fe02d6a59b50
DIST polkit-qt-1-0.112.0_p20160416.tar.xz 64540 BLAKE2B fbc3631585801f42ff92324576a2bd82d61aa5b24317f95e1182c300073a8e746007fa3409127a50d7d3433c5092f56d72e2e579683d08145067d4424c4dfe7e SHA512 90677af780a2bbcb33b6a54702ba96f965eb8561f2636af7aa0146f9b2450f9e89f67e022ffa99742afe50e3d1f570eabfad686e9e08e629a1e662d9f5abf2ea
diff --git a/sys-auth/polkit-qt/polkit-qt-0.112.0-r1.ebuild b/sys-auth/polkit-qt/polkit-qt-0.112.0-r1.ebuild
deleted file mode 100644
index 0a9f3d4ce65..00000000000
--- a/sys-auth/polkit-qt/polkit-qt-0.112.0-r1.ebuild
+++ /dev/null
@@ -1,78 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=5
-
-MY_P="${P/qt/qt-1}"
-
-inherit cmake-utils multibuild
-
-DESCRIPTION="PolicyKit Qt4 API wrapper library"
-HOMEPAGE="https://www.kde.org/"
-SRC_URI="mirror://kde/stable/apps/KDE4.x/admin/${MY_P}.tar.bz2"
-
-LICENSE="LGPL-2"
-SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 ppc ppc64 x86 ~x86-fbsd"
-IUSE="debug examples +qt4 qt5"
-
-REQUIRED_USE="|| ( qt4 qt5 )"
-
-RDEPEND="
- dev-libs/glib:2
- >=sys-auth/polkit-0.103
- qt4? (
- dev-qt/qtcore:4[glib]
- dev-qt/qtdbus:4
- dev-qt/qtgui:4[glib]
- )
- qt5? (
- dev-qt/qtcore:5
- dev-qt/qtdbus:5
- dev-qt/qtgui:5
- dev-qt/qtwidgets:5
- examples? ( dev-qt/qtxml:5 )
- )
-"
-DEPEND="${RDEPEND}"
-
-DOCS=( AUTHORS README README.porting TODO )
-
-S=${WORKDIR}/${MY_P}
-
-# bug #529686
-RESTRICT="test"
-
-pkg_setup() {
- MULTIBUILD_VARIANTS=()
- use qt4 && MULTIBUILD_VARIANTS+=( qt4 )
- use qt5 && MULTIBUILD_VARIANTS+=( qt5 )
-}
-
-src_configure() {
- myconfigure() {
- local mycmakeargs=(
- -DSYSCONF_INSTALL_DIR="${EPREFIX}"/etc
- $(cmake-utils_use_build examples)
- )
-
- if [[ ${MULTIBUILD_VARIANT} = qt4 ]] ; then
- mycmakeargs+=( -DUSE_QT4=ON )
- fi
- if [[ ${MULTIBUILD_VARIANT} = qt5 ]] ; then
- mycmakeargs+=( -DUSE_QT5=ON )
- fi
-
- cmake-utils_src_configure
- }
-
- multibuild_foreach_variant myconfigure
-}
-
-src_compile() {
- multibuild_foreach_variant cmake-utils_src_compile
-}
-
-src_install() {
- multibuild_foreach_variant cmake-utils_src_install
-}